# Pets

## Creating a new pet

{% openapi src="<https://petstore3.swagger.io/api/v3/openapi.json>" path="/pet" method="post" %}
<https://petstore3.swagger.io/api/v3/openapi.json>
{% endopenapi %}

## Updating a pet

{% openapi src="<https://petstore3.swagger.io/api/v3/openapi.json>" path="/pet" method="put" %}
<https://petstore3.swagger.io/api/v3/openapi.json>
{% endopenapi %}

{% hint style="info" %}
**Good to know:** These API methods were auto-generated from an example OpenAPI file. You'll see that it's not editable – that's because the contents are synced to a URL! Any time the linked file changes, the documentation will change too.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://phoai.gitbook.io/view/reference/api-reference/pets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
